# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name        = 'wouter'
  s.platform    = Gem::Platform::RUBY
  s.version     = '0.0.10'
  s.summary     = 'Rack web framework.'
  s.description = 'Wouter is a modular web framework built on top of Rack.'
  s.authors     = ['Robert Peterson']
  s.email       = 'robertpeterson@gmail.com'
  s.files       = Dir['lib/**/*'] + ['README.md', 'Gemfile', 'Rakefile', 'wouter.gemspec']
  s.test_files  = s.files.select { |p| p =~ /^test\/.*_test.rb/ }
  s.license     = 'MIT'
  s.homepage    = 'https://github.com/rawburt/wouter'

  s.add_dependency 'rack', '~> 2.0', '>= 2.0.6'
  s.add_development_dependency 'm', '~> 1.5', '>= 1.5.1'
  s.add_development_dependency 'minitest', '~> 5.11', '>= 5.11.3'
  s.add_development_dependency 'minitest-rg', '~> 5.2', '>= 5.2.0'
  s.add_development_dependency 'mocha', '~> 1.7', '>= 1.7.0'
  s.add_development_dependency 'rack-test', '~> 1.1', '>= 1.1.0'
  s.add_development_dependency 'rake', '~> 12.3', '>= 12.3.1'
end
